harmony-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Dmitry M. Kononov" <dmitry.m.kono...@gmail.com>
Subject Re: [jira] Updated: (HARMONY-548) upgrade to xerces 2.8.0 and xalan 2.7.0
Date Wed, 07 Jun 2006 08:12:45 GMT
Hi Tim,

On 6/6/06, Tim Ellison <t.p.ellison@gmail.com> wrote:
> Dmitry M. Kononov wrote:
> > I noticed that the xalan.jar 2.7.0 from the ibiblio site does not
> > contain the BCEL at all. However, a lot of xalan's classes (maybe even
> > all) depend on it.
> >
> > Are you going to add the BCEL to the list of dependencies separately?
>
> Can you explain why we need BCEL?  (All the Harmony tests pass fine with
> the new Xalan version as it is)

I am not sure that we really need it at the moment. We do not need it
unless we want to use the XSLTC compiler which is a part of xalan.jar and
depends on BCEL.

The reason why I asked is a wish to be sure that I could use the BCEL version
later than 5.0, that is included into xalan.jar usually. For example,
I would like to
use BCEL 5.1 or later in some tool. But, can I be sure that the next
upgrade of the xalan
will not include the old version of the BCEL again as it was in the
xalan.jar version 2.6?

Thanks.
-- 
Dmitry M. Kononov
Intel Managed Runtime Division

---------------------------------------------------------------------
Terms of use : http://incubator.apache.org/harmony/mailing.html
To unsubscribe, e-mail: harmony-dev-unsubscribe@incubator.apache.org
For additional commands, e-mail: harmony-dev-help@incubator.apache.org


Mime
View raw message